Bulk Create Child Simulated Events via Smart Search

post

/sia/v1/event/simulated/{id}/children/bulk/{entityType}

Creates child simulated events for resources selected by Smart Search filters against the specified resource index inferred from entityType.

Request

Path Parameters
Query Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Bulk child creation request for Simulated Events.
Show Source
Nested Schema : excludeList
Type: array
Canonical resource IDs to be excluded from creation
Show Source
Nested Schema : filters
Type: array
Smart Search filters to select resources
Show Source
Nested Schema : FilterChip
Type: object
Show Source
  • Name of the smart search filter.
  • value
    Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: array
Show Source
Nested Schema : value-oneOf[3]
Type: array
Show Source
Nested Schema : value-oneOf[5]
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Bulk creation attempted. Inspect hasErrors and errors[] for per-item failures.
Body ()
Root Schema : BulkOperationResult
Type: object
Show Source
Nested Schema : errors
Type: array
Error records to store the information of the failed operations on the entities.
Show Source
Nested Schema : ErrorRecord
Type: object
Show Source

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top